body{color: var(--gray-01); font-family: var(--montserrat); font-size: 16px; font-weight: 400; line-height: 24px; letter-spacing: 0px;overflow-x: hidden;}

:root                   
{ 
    /* color */
    --brown:#69080E;  
    --brown-01:#725601;  
    --gray-01:#545353;
    --gray-02:#8795AA;
    --secondary-01:#696969; 
    --secondary-02:#B6BFCC; 
    --blue:#2B227B;  
    --yellow:#FFE28C;
    --yellow-01:#F6F0DA;
    
    /* font family */
    --montserrat:"Montserrat", sans-serif;
    --cinzel-Decorative:"Cinzel Decorative", serif;;
}

/* typography */
.heading-style-1{font-size:77px;line-height:100px;letter-spacing:4px;font-weight:400;font-family:var(--cinzel-Decorative);color:var(--brown);}
.heading-style-2{font-size:48px;line-height:58px;letter-spacing:1.92px;font-weight:700;font-family:var(--cinzel-Decorative);color:var(--brown);}
.heading-style-3{font-size:32px;line-height:38px;letter-spacing:1.28px;font-weight:700;font-family:var(--cinzel-Decorative);color:var(--brown);}
.heading-style-4{font-size:24px;line-height:28px;letter-spacing:0.24px;font-weight:600;font-family:var(--montserrat);}
.heading-style-5{font-size:24px;line-height:32px;letter-spacing:0.96px;font-weight:700;font-family:var(--cinzel-Decorative);color:var(--brown);}
.heading-style-6{font-size:18px;line-height:24px;letter-spacing:0.72px;font-weight:500;font-family:var(--montserrat);}
p{font-size:16px;line-height:28px;letter-spacing:0.64px;font-weight:400;font-family:var(--montserrat);}
.p-small{font-size:14px;line-height:20px;letter-spacing:0;font-weight:500;font-family:var(--montserrat);color: var(--gray-01);text-transform:unset;}

/* button */
.common-theme-btn{border-radius: 16px; font-family: var(--montserrat);}

/* common padding  */
.padding-block{padding-block: 100px;}

/* overlay */
.food-overlay-full{position: relative;}
.food-overlay-full::after{position: absolute;content: "";top: 0;left: 0;width: 100%;height: 100%;background: rgba(0, 0, 0, 0.55);pointer-events:none;}

/* ============ Food Court Banner ============ */
.food-court-banner{position: relative; width: 100%; height: 800px; background-size: cover; background-position: center center; background-repeat: no-repeat; overflow: hidden;}
.food-court-banner .container{height: 100%; display: flex; flex-direction: column; justify-content: center;}
.food-court-banner-content{max-width: 870px; width: 100%; margin: 0 auto; display: flex; flex-direction: column; gap: 24px; text-align: center; position: relative; z-index: 2;}
.banner-text-content .heading-style-1{color:var(--white);text-align: center;}
.banner-text-content .heading-style-1 img{max-width: 594px; width: 100%; height: auto;}
.food-court-banner .food-type-wrap{display: flex; justify-content: center;align-items: center;}
.food-court-banner .heading-style-3{padding-inline:10px; letter-spacing: 0; font-weight: 500; font-family: var(--montserrat); color: #FFFFFF;position: relative;}
.food-court-banner .heading-style-3:after{content: ""; display: inline-block; width: 3px; height: 26px;background-color: #D7855B; margin-left: 8px;position:absolute;top:50%;transform:translateY(-50%);}
.food-court-banner .heading-style-3:last-child:after{display: none;}

/* ============ vision mission section ============ */
.vision-section{background:url(../images/vision-section-bg-pettern-top.svg) no-repeat center top / 100% auto ,var(--white);position: relative;}
.vision-section .container{position:relative;z-index:1;}
.vision-section::after{content: ""; position: absolute; top: 0; left: 0; width: 18%; height: 90%; background: url(../images/vision-section-bg-pettern-left.png) no-repeat left 90% / 100% auto; z-index: 0;pointer-events: none;}
.vision-section .heading-style-2{margin-bottom: 18px;}
.vision-section p{margin-bottom: 22px;}
.vision-section p:last-child{margin-bottom: 0 !important;}

.vision-section .vision-image-wrap{border-radius:12px;overflow:hidden;position:relative;padding-top:70%;}
.vision-section .vision-image-wrap img{position:absolute;top:0;left:0;width:100%;height:100%;object-fit:cover;object-position:center center;}

/* .vision-mision */
.vision-mission-wrap{padding:34px;margin-top:52px;border-radius:12px; background-color:var(--white);border: 1px solid #FFC9CC;}
.vision-mision-title-wrap{margin-bottom:18px;display:flex;align-items: center;gap:12px;}
.vision-mision-title-wrap img{width: 48px;height: 48px;}
.vision-mission-wrap p{margin-bottom: 22px;}
.vision-mission-wrap p:last-child{margin-bottom: 0 !important;}

/* ============ Food Court Gallery ============ */
.food-court-gallery-section{background-size: cover, auto; background-position: center center, top center; background-repeat: no-repeat, repeat-x;}

.food-court-title-description{text-align: center; margin-bottom: 52px;max-width: 1076px;margin-inline:auto;}
.food-court-title-description .heading-style-2{margin-bottom: 12px;}

.food-gallery-image-wrap{position: relative;}
.food-gallery-image-wrap a{position: absolute; top: 0; left: 0; width: 100%; height: 100%; display: block;}
.food-gallery-image-wrap a img{ width: 100%; height: 100%;object-fit: cover;object-position: center center;}

.food-court-gallery-top-left-image{padding-top: 55.6%;}
.food-court-gallery-bottom-first,.food-court-gallery-bottom-second{padding-top:111.4%;}
.food-court-gallery-image-medium-top,.food-court-gallery-image-bottom-right{padding-top: 70%;}
.food-court-gallery-image-medium-bottom,.food-court-gallery-image-top-right{padding-top: 152.333%;}

/* ============ Parking Section ============ */
.section-parking{background: var(--white);}

.parking-image{position: relative; padding-top: 69.9%; overflow: hidden; border-radius: 16px;}
.parking-image img{position: absolute; top: 0; left: 0; width: 100%; height: 100%; object-fit: cover; object-position: center;}

.parking-title-wrap{margin-bottom: 24px; gap: 18px;}

.location-icon{width: 61px; height: 61px; display: flex; align-items: center; justify-content: center;flex-shrink: 0;}
.location-icon img{width: 100%; height: 100%; object-fit: contain;}

.section-parking ul li{ margin-bottom: 18px; color: var(--gray-01);font-weight:500;font-family: var(--montserrat);}
.section-parking ul {margin-top:18px;}

/* ============ Brand Slider Section ============ */
.section-brand{background: var(--white); background-size: auto; background-position: top center; background-repeat: repeat-x;}

.brand-slider{overflow: hidden; padding:0 0 62px;}
.brand-logo-inner-slider{width: 238px; aspect-ratio: 1/1; background: var(----yellow-01); border-radius: 12px; display: flex; align-items: center; justify-content: center; padding: 25px; }
.brand-logo-inner-slider img{width: 100%; height: 100%; object-fit: cover; border-radius: 12px;}

/* slider pagination */
.swiper-pagination-bullet-active{background: var(--brown) !important;opacity: 1;}
.swiper-pagination-bullet{background: #AEAEAE;width:10px;height:10px;margin-inline:3px;}


/* ============ top menu Section ============ */
.top-menu-section{background-size: cover, auto; background-position: center center, top center; background-repeat: no-repeat, repeat-x;}

.top-menu-card-container .row{row-gap: 28px;}
.top-menu-card-inner{width: 100%;height:100%; overflow: hidden; border-radius: 12px;}
.menu-card-image{width: 100%; height: 229px; overflow: hidden;}
.menu-card-image img{width: 100%; height: 100%; object-fit: cover;}
.menu-card-content{background: rgba(255, 255, 255, 0.7); padding: 32px 24px 24px; display: flex; flex-direction: column; gap: 8px;height: 100%;}
.menu-card-content h3{margin: 0; color: var(--brown);}
.menu-card-content p{margin: 0; color: #000000;}

.heritage-card-container{margin-top: 52px;}
.heritage-card-container .row{row-gap: 28px;}
.heritage-card-inner{width: 100%; height: 100%; background: var(--yellow-01); border-radius: 12px; padding: 24px; display: flex; flex-direction: column; align-items: center; text-align: center; gap: 12px;}
.heritage-card-image{width: 60px; height: 60px; background: #FBB29E; border-radius: 50%; display: flex; align-items: center; justify-content: center;}
.heritage-card-image img{width: 42px; height: 42px; object-fit: contain;}
.heritage-card-content{flex: 1; display: flex; flex-direction: column; gap: 12px;}
.heritage-card-content p{color: var(--gray-01); }
.top-menu-section p.heading-style-5{color: var(--secondary-01);margin-top:52px;}

/* ============ placed served Section ============ */
.section-placed-serve{position:relative;}
.section-placed-serve:after,.section-placed-serve:before{position:absolute;content:'';width: 22%; height: 60%;z-index: -1;}
.section-placed-serve:before{background:url(../images/placed-bg-pattern-1.svg) no-repeat left top / 100% auto;left: 0;top: 0;}
.section-placed-serve:after{background:url(../images/placed-bg-pattern-2.svg) no-repeat right bottom / 100% auto;right: 0; bottom: 0; }

.section-placed-serve .placed-serve-wrap{max-width: 1366px; margin-inline:auto;padding: 225px 60px 314px; background-size: 100% 100%;background-repeat: no-repeat;background-position: center center;}
.placed-serve-image img{max-height: 537px; max-width: 750px;}

.temple-card-wrap-slider{overflow: hidden;}
.temple-card-wrap{margin-top: 78px;}
.coming-soon-card-inner{position: relative; overflow: hidden; border-radius: 12px; display: flex; flex-direction: column;}
.coming-soon-card-img{width: 100%; height: 210px; overflow: hidden;}
.coming-soon-card-img img{width: 100%; height: 100%; object-fit: cover;}
.coming-soon-card-content{flex: 1;background: #FFFFFFB2; ; padding: 24px; display: flex; flex-direction: column; gap: 8px;}
.coming-soon-tag{width: fit-content; background: var(--yellow); border-radius:100px; display: flex; align-items: center; justify-content: center; padding: 4px 8px;}
.coming-soon-tag p{margin: 0; color: #725601; font-size: 12px; line-height: 16px; font-weight: 500; font-family: var(--montserrat);}

/* ============ Visitor Section ============ */
.section-visitor{background-size: cover; background-position: center center; background-repeat: no-repeat; position: relative;}
.visitor-slider-wrap{padding:0 0 62px;}
.visitor-cards-inner{border-radius: 12px;overflow:hidden;height:auto;}
.visitor-cards-image{height: 273px;}
.visitor-cards-image img{height: 100%;}
.visitor-cards-content{padding: 28px 22px 22px;background-color:var(--white);height:100%;}
.visitor-cards-content p{margin-top: 8px;}

/* ============ Contact Us Section ============ */
.section-contact-us{background-color: var(--white);position:relative;}
.section-contact-us .container{position:relative;z-index:1;}
.section-contact-us:before,.section-contact-us:after{content:'';position: absolute;background:url(../images/contact-us-pattern.png) no-repeat left top / contain ;pointer-events:none;}
.section-contact-us:before{top:0;left: 0;width: 17%;height: 68%;transform: rotate(0deg);}
.section-contact-us:after{right:0;bottom:0;transform: rotate(180deg);width: 9.72%;height: 60%;}
/* content */
.contact-us-content-wrap{max-width: 1060px;margin-inline:auto;}

/* social content */
.social-content-wrap{gap: 18px;display:flex;align-items:start;margin-bottom:56px;}
.social-content-wrap:last-child{margin-bottom:0px !important;}
.social-icon{width: 65px; height: 65px;background-color: var(--yellow-01);border-radius: 50%;flex-shrink:0;display:flex;align-items:center;justify-content:center;}
.social-icon img{width: 30px; height: 30px;}
.social-content-inner{text-align: left;margin-top: 7px;}
.social-content-inner h5.heading-style-6{margin-bottom: 4px;color: var(--blue);font-weight: 600;}
.social-content-inner p.heading-style-6,.social-content-inner a.heading-style-6{color: var(--gray-02);}

/* contact form */
.contact-us-form{background-color: var(--yellow-01);border-radius: 15px;padding: 40px;}
.contact-us-form .heading-style-4{color: var(--brown);text-align:center;margin-bottom: 46px;}

/* form */
.input-wrap{margin-bottom: 34px;}
input[type=text], input[type=email], input[type=url] input[type=tel], input[type=password], input[type=search], input[type=number], input[type=tel], input[type=date], input[type=month], input[type=week], input[type=time], input[type=datetime], input[type=datetime-local], input[type=color], .site textarea,select  {
    width: 100%;
    border: none !important;  
    border-bottom:1px solid var(--secondary-02) !important;
    border-radius: 12px !important;   
    background: var(--white) !important; 
    margin: 0!important; 
    color: var(--black)!important; 
    font-size: 16px!important; 
    font-family:var(--montserrat) !important;
    line-height: 28px!important;       
    font-weight: 600; 
    padding:8px 10px !important;
}
textarea{height: 134px;resize: none;}
input[type=text]::placeholder, input[type=email]::placeholder,input[type=tel]::placeholder, input[type=url]::placeholder, input[type=password]::placeholder, input[type=search]::placeholder, input[type=number]::placeholder, input[type=tel]::placeholder, input[type=date]::placeholder, input[type=month]::placeholder, input[type=week]::placeholder, input[type=time]::placeholder, input[type=datetime]::placeholder, input[type=datetime-local]::placeholder, input[type=color]::placeholder, .site textarea::placeholder,select::placeholder {
    font-size: 16px; 
    line-height: 24px;
    font-family:var(--montserrat) !important;         
    color:var(--secondary-02);
    font-weight: 600;
}
form{position: relative;}
/* form p:last-child{line-height: 0;} */
.contact-form-button{position:relative;width:fit-content;}
input[type=submit] {
    background-color: var(--black) !important;
    padding: 14px 31px!important; 
    font-size:16px !important;
    line-height:28px !important;
    color:var(--white) !important;
    border:1px solid var(--black);
    border-radius: 6px;
    font-family:var(--montserrat) !important;     
    transition: all 0.3s ease-in-out;
    text-align:center;     
}
input[type=submit]:hover{background-color:var(--f0)!important;color:var(--black) !important;border-color:var(--black) !important;}
input[type=submit]:focus, input[type=submit]:focus-visible, input[type=submit]:active { outline: none;}

.contact-form-btn{position: relative;}
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    transition: background-color 5000s ease-in-out 0s;
    -webkit-text-fill-color: var(--secondary) !important;
}
/* spinner */
.wpcf7-spinner { margin: 0px; position: absolute; top: 50%; left: 50%;transform: translate(-50%, -50%);background-color: var(--black) !important;}
.submitting .wpcf7-submit { pointer-events: none; color: var(--black) !important; }
.submitting input[type=submit]{color: transparent !important;}
/* massege */
.wpcf7-response-output { margin: 25px 0px 0px !important; font-size: 12px !important; line-height: 20px !important; border: none !important; color: var(--white-color); font-weight: 600; text-align: center;}
.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output { background: #ffb900;color: var(--white);}
.wpcf7 form.failed .wpcf7-response-output { background: #f05858;color: var(--white);}
.wpcf7 form.sent .wpcf7-response-output { background: #46b450;color: var(--white);}
.wpcf7-not-valid-tip { font-size: 12px;}

/* ============ map Section ============ */
#map{height: 532px;}

/* =========================================== responsive breakpoints =========================================== */
@media screen and (max-width: 1600px) {
    /* typography */
    .heading-style-1{font-size:67px;line-height:90px;}
    .heading-style-2{font-size:44px;line-height:54px;}
    .heading-style-3{font-size:30px;line-height:36px;}
    .heading-style-5{font-size:22px;line-height:30px;}
    .heading-style-4{font-size:24px;line-height:26px;}
    .heading-style-6{font-size:17px;line-height:22px;}
    p{font-size:15px;line-height:26px;}
    
    /* padding-block */
    .padding-block{padding-block: 94px;}
    
    /* ============ Food Court Banner ============ */    
    .food-court-banner{height: 700px;}
    .banner-text-content .heading-style-1 img{max-width: 500px;}
    .food-court-banner .heading-style-3:after{height: 24px;}
    
    /* ============ vision mission section ============ */
    .vision-mission-wrap{padding: 30px; margin-top: 48px;}
    .vision-mision-title-wrap img{width: 44px; height: 44px;}
    
    /* ============ Food Court Gallery ============ */
    .food-court-title-description{margin-bottom: 50px;}
    
    /* ============ Parking Section ============ */
    .location-icon { width: 56px; height: 56px;}
    .parking-title-wrap{margin-bottom: 12px;}
    .section-parking ul { margin-top: 14px; }
    .section-parking ul li{margin-bottom: 15px;}

    /* ============ Brand Slider Section ============ */
    .brand-logo-inner-slider{width: 220px; height: 220px; padding: 22px;}

    /* ============ Top Menu Section ============ */
    .top-menu-section .row{row-gap: 26px;}
    .menu-card-image{height: 220px;}
    .menu-card-content{padding: 28px 22px 22px;}
    .heritage-card-container,.top-menu-section p.heading-style-5{margin-top: 48px;}
    .heritage-card-inner{padding: 22px;}
    .heritage-card-image{width: 56px; height: 56px;}
    .heritage-card-image img{width: 40px; height: 40px;}

    /* ============ Placed Serve Section ============ */
    .section-placed-serve .placed-serve-wrap{padding: 200px 50px 280px;}
    .placed-serve-image img{max-height: 480px; max-width: 680px;}
    .coming-soon-card-img{height: 195px;}
    .coming-soon-card-content{padding: 22px;}
    .temple-card-wrap { margin-top: 50px; }

    /* ============ Visitor Section ============ */
    .visitor-cards-image{height: 255px;}
    .visitor-cards-content{padding: 28px 22px 22px;}
}
@media screen and (max-width: 1500px) {
    .heading-style-1{font-size:62px;line-height:84px;}
    .heading-style-2{font-size:41px;line-height:52px;}
    .heading-style-3{font-size:28px;line-height:34px;}
    .heading-style-5{font-size:21px;line-height:28px;}
    .heading-style-4{font-size:21px;line-height:24px;}
    .heading-style-6{font-size:16px;line-height:20px;}
    p{font-size:14px;line-height:24px;}
    
    /* padding-block */
    .padding-block{padding-block: 85px;}
    
    /* ============ Food Court Banner ============ */
    .food-court-banner{height: 650px;}
    .banner-text-content .heading-style-1 img{max-width: 450px;}
    .food-court-banner .heading-style-3:after{height: 22px;}
    
    /* ============ vision mission section ============ */
    .vision-mission-wrap{padding: 28px; margin-top: 44px;}
    .vision-mision-title-wrap img{width: 42px; height: 42px;}
    
    /* ============ Food Court Gallery ============ */
    .food-court-title-description{margin-bottom: 45px;}
    
    /* ============ Parking Section ============ */
    .parking-title-wrap { gap: 8px; }
    .location-icon { width: 42px; height: 42px; }

    /* ============ Brand Slider Section ============ */
    .brand-logo-inner-slider{width: 200px; height: 200px; padding: 20px;}

    /* ============ Top Menu Section ============ */
    .top-menu-section .row{row-gap: 24px;}
    .menu-card-image{height: 210px;}
    .menu-card-content{padding: 26px 20px 20px;}
    .heritage-card-container,.top-menu-section p.heading-style-5{margin-top: 44px;}
    .heritage-card-inner{ padding: 20px;}
    .heritage-card-image{width: 52px; height: 52px;}
    .heritage-card-image img{width: 38px; height: 38px;}

    /* ============ Placed Serve Section ============ */
    .section-placed-serve .placed-serve-wrap{padding: 180px 45px 250px;}
    .placed-serve-image img{max-height: 430px; max-width: 620px;}
    .coming-soon-card-img{height: 180px;}
    .coming-soon-card-content{padding: 20px;}

    /* ============ Visitor Section ============ */
    .visitor-cards-image{height: 240px;}
    .visitor-cards-content{padding: 26px 20px 20px;}
}
@media screen and (max-width: 1366px) {
    body{font-size: 14px; line-height: 22px;}
    .heading-style-1{font-size:56px;line-height:74px;}
    .heading-style-2{font-size:36px;line-height:50px;}
    .heading-style-3{font-size:24px;line-height:30px;}
    .heading-style-4{font-size:20px;line-height:26px;}
    .heading-style-5{font-size:20px;line-height:26px;}
    .heading-style-6{font-size:15px;line-height:18px;}
 
    /* padding-block */
    .padding-block{padding-block: 76px;}
    
    /* ============ vision mission section ============ */
    .vision-mission-wrap{padding: 26px; margin-top: 40px;}
    .vision-mision-title-wrap img{width: 40px; height: 40px;}
    .vision-section .vision-image-wrap{padding-top: 75%;}
    
    /* ============ Food Court Gallery ============ */
    .food-court-title-description{margin-bottom: 40px;}
    
    /* ============ Parking Section ============ */
    .parking-title-wrap { gap: 3px; } 
    .location-icon { width: 32px; height: 32px; }
    .section-parking ul { margin-top: 10px; }
    .section-parking ul li { margin-bottom: 10px; }

    /* ============ Brand Slider Section ============ */
    .brand-logo-inner-slider{width: 180px; height: 180px; padding: 18px;}

    /* ============ Top Menu Section ============ */
    .top-menu-section .row{row-gap: 22px;}
    .menu-card-image{height: 170px;}
    .menu-card-content{padding: 24px 18px 18px;}
    .heritage-card-container, .top-menu-section p.heading-style-5{margin-top: 40px;}
    .heritage-card-inner{padding: 18px;}
    .heritage-card-image{width: 48px; height: 48px;}
    .heritage-card-image img{width: 36px; height: 36px;}

    /* ============ Placed Serve Section ============ */
    .section-placed-serve .placed-serve-wrap{padding: 160px 40px 220px;}
    .placed-serve-image img{max-height: 380px; max-width: 560px;}
    .coming-soon-card-img{height: 165px;}
    .coming-soon-card-content{padding: 18px;}

    /* ============ Visitor Section ============ */
    .visitor-cards-image{height: 225px;}
    .visitor-cards-content{padding: 24px 18px 18px;}
}
@media screen and (max-width: 1199px) {
    .heading-style-1{font-size:56px;line-height:74px;}
    .heading-style-2{font-size:30px;line-height:46px;}
    .heading-style-3{font-size:22px;line-height:28px;}
    .heading-style-5{font-size:17px;line-height:24px;}
    .heading-style-4{font-size:17px;line-height:24px;}
    
    /* ============ vision mission section ============ */
    .vision-mission-wrap{padding: 24px; margin-top: 36px;}
    .vision-mision-title-wrap img{width: 38px; height: 38px;}
    .vision-section .vision-image-wrap{padding-top: 80%;}
    .vision-section .heading-style-2,.vision-section p,.vision-mission-wrap p,.vision-mision-title-wrap { margin-bottom: 10px; }
    
    /* ============ Food Court Gallery ============ */
    .food-court-title-description{margin-bottom: 35px;}
    
    /* ============ Parking Section ============ */
    .parking-title-wrap{gap: 2px;}
    .location-icon{width: 28px; height: 28px;}
    .parking-image{border-radius: 12px;padding-top: 100%;}
    .section-parking .row{--bs-gutter-x: 15px;}

    /* ============ Brand Slider Section ============ */
    .brand-logo-inner-slider{width: 160px; height: 160px; padding: 16px;}

    /* ============ Top Menu Section ============ */
    .top-menu-section .row{row-gap: 18px;}
    .menu-card-image{height: 130px;}
    .menu-card-content{padding: 14px;}
    .heritage-card-container, .top-menu-section p.heading-style-5{margin-top: 30px;}
    .heritage-card-inner{ padding: 16px;}
    .heritage-card-image{width: 40px; height: 40px;}
    .heritage-card-image img{width: 30px; height: 30px;}

    /* ============ Placed Serve Section ============ */
    .section-placed-serve .placed-serve-wrap{padding: 120px 30px 180px;}
    .placed-serve-image img{max-height: 300px; max-width: 450px;}
    .coming-soon-card-img{height: 140px;}
    .coming-soon-card-content{padding: 14px;}
    .temple-card-wrap { margin-top: 35px;--bs-gutter-x: 10px; }

    /* ============ Visitor Section ============ */
    .visitor-cards-image{height: 200px;}
    .visitor-cards-content{padding: 20px 16px 16px;}
    
    /* ============ Contact Us Section ============ */
    .social-content-wrap{gap: 16px;margin-bottom: 45px;}
    .social-icon { width: 55px; height: 55px;}
    .social-icon img { width: 24px; height: 24px; }
    .contact-us-form{padding:32px;}
    .contact-us-form .heading-style-4{margin-bottom:32px;}
    .input-wrap { margin-bottom: 22px; }
    textarea{height: 120px;}
    input[type=text], input[type=email], input[type=url] input[type=tel], input[type=password], input[type=search], input[type=number], input[type=tel], input[type=date], input[type=month], input[type=week], input[type=time], input[type=datetime], input[type=datetime-local], input[type=color], .site textarea, select,
    input[type=text]::placeholder, input[type=email]::placeholder,input[type=tel]::placeholder, input[type=url]::placeholder, input[type=password]::placeholder, input[type=search]::placeholder, input[type=number]::placeholder, input[type=tel]::placeholder, input[type=date]::placeholder, input[type=month]::placeholder, input[type=week]::placeholder, input[type=time]::placeholder, input[type=datetime]::placeholder, input[type=datetime-local]::placeholder, input[type=color]::placeholder, .site textarea::placeholder,select::placeholder {
        font-size: 15px !important; 
        line-height: 22px !important;
    }
    input[type=submit]{padding: 8px 27px !important;}
}
@media screen and (max-width: 991px) {
    .heading-style-1{font-size:44px;line-height:58px;}
    .heading-style-2{font-size:29px;line-height:42px;}
    .heading-style-3{font-size:20px;line-height:26px;}
    .heading-style-5{font-size:17px;line-height:22px;}
    .heading-style-4{font-size:17px;line-height:22px;}
    
    /* button */
    .common-theme-btn { border-radius: 12px;}
    
    /* padding-block */
    .padding-block{padding-block: 72px;}
    
    /* ============ Food Court Banner ============ */
    .food-court-banner{height: 580px;}
    .banner-text-content .heading-style-1 img { max-width: 420px; }
    
    /* ============ vision mission section ============ */
    .vision-section .row{row-gap: 20px;}
    .vision-section .vision-image-wrap{padding-top: 60%;}
    .vision-mission-wrap{padding: 22px; margin-top: 22px;}
    .vision-mision-title-wrap img{width: 36px; height: 36px;}
    .vision-section .heading-style-2, .vision-section p, .vision-mission-wrap p, .vision-mision-title-wrap { margin-bottom: 8px; }
    
    /* ============ Food Court Gallery ============ */
    .food-court-title-description{margin-bottom: 30px;}
    .food-court-title-description .heading-style-2 { margin-bottom: 9px; }
    
    /* ============ Parking Section ============ */
    .parking-title-wrap{gap: 8px;}
    .location-icon{width: 42px; height: 42px;}
    .parking-image{padding-top: 60%;}
    .section-parking .row{row-gap:20px;}

    /* ============ Brand Slider Section ============ */
    .brand-logo-inner-slider{width: 140px; height: 140px; padding: 14px;}

    /* ============ Top Menu Section ============ */
    .top-menu-card-container{margin-top: 30px;}
    .top-menu-section .row{row-gap: 18px;}
    .menu-card-content{padding: 20px 14px 14px;}
    .heritage-card-inner{padding: 16px;}
    .heritage-card-image{width: 40px; height: 40px;}
    .heritage-card-image img{width: 30px; height: 30px;}
    .menu-card-image { height: 190px; }
    
    /* ============ Placed Serve Section ============ */
    .coming-soon-card-img { height: 110px; }
    .coming-soon-card-inner{border-radius: 10px;}
    
    /* ============ Visitor Section ============ */
    .visitor-cards-image{height: 175px;}
    .visitor-cards-content{padding: 18px 14px 14px;}
    
    /* ============ Contact Us Section ============ */
    .social-content-wrap{gap: 8px;margin-bottom: 40px;}
    .social-icon { width: 45px; height: 45px;}
    .social-icon img { width: 20px; height: 20px;}
    .contact-us-form{padding:28px;border-radius:10px;}
    .contact-us-form .heading-style-4{margin-bottom:28px;font-size: 20px;}
    .input-wrap { margin-bottom: 18px; }
    textarea{height: 100px;}
    input[type=text], input[type=email], input[type=url] input[type=tel], input[type=password], input[type=search], input[type=number], input[type=tel], input[type=date], input[type=month], input[type=week], input[type=time], input[type=datetime], input[type=datetime-local], input[type=color], .site textarea, select,
    input[type=text]::placeholder, input[type=email]::placeholder,input[type=tel]::placeholder, input[type=url]::placeholder, input[type=password]::placeholder, input[type=search]::placeholder, input[type=number]::placeholder, input[type=tel]::placeholder, input[type=date]::placeholder, input[type=month]::placeholder, input[type=week]::placeholder, input[type=time]::placeholder, input[type=datetime]::placeholder, input[type=datetime-local]::placeholder, input[type=color]::placeholder, .site textarea::placeholder,select::placeholder {
        font-size: 14px !important; 
        line-height: 20px !important;border-radius: 8px !important;
    }
    input[type=submit]{padding: 7px 26px !important;}
    
    /* ============ map Section ============ */
    #map{height: 400px;}
}
@media screen and (max-width: 767px) {
    .heading-style-1{font-size:40px;line-height:54px;}
    .heading-style-2{font-size:32px;line-height:42px;}
    .heading-style-3{font-size:18px;line-height:24px;}
    .heading-style-5{font-size:16px;line-height:22px;}
    .heading-style-4{font-size:16px;line-height:22px;}
    
    /* padding-block */
    .padding-block{padding-block: 65px;}
    
    /* ============ vision mission section ============ */
    .vision-section .row{row-gap: 18px;}
    .vision-mission-wrap{padding: 20px; margin-top: 28px;}
    .vision-mision-title-wrap img{width: 34px; height: 34px;}
    .vision-section::after{top: 60%; width: 37%; height: 40%;}
    
    /* ============ Food Court Gallery ============ */
    .food-court-title-description{margin-bottom: 25px;}
    
    /* ============ Parking Section ============ */
    .parking-title-wrap{gap: 6px;}
    .location-icon{width: 40px; height: 40px;}

    /* ============ Brand Slider Section ============ */
    .brand-logo-inner-slider{width: 120px; height: 120px; padding: 12px;}

    /* ============ Top Menu Section ============ */
    .top-menu-section .row{row-gap: 16px;}
    .menu-card-image{height: 160px;}
    .menu-card-content{padding: 18px 12px 12px;}
    .heritage-card-container, .top-menu-section p.heading-style-5{margin-top: 25px;}
    .heritage-card-inner{padding: 14px;}
    .heritage-card-image{width: 36px; height: 36px;}
    .heritage-card-image img{width: 28px; height: 28px;}

    /* ============ Placed Serve Section ============ */
    .section-placed-serve .placed-serve-wrap{padding: 100px 20px 140px;}
    .placed-serve-image img{max-height: 220px; max-width: 350px;}
    .coming-soon-card-img{height: 130px;}
    .coming-soon-card-content{padding: 10px;}
    .section-placed-serve .row{row-gap: 10px;}

    /* ============ Visitor Section ============ */
    .visitor-cards-image{height: 155px;}
    .visitor-cards-content{padding: 16px 12px 12px;}
    
    /* ============ Contact Us Section ============ */
    .section-contact-us .row{row-gap: 20px;}
    .social-content-wrap{gap: 15px;margin-bottom: 35px;}
    .social-icon { width: 48px; height: 48px;}
    .social-icon img { width: 24px; height: 24px;}
    .contact-us-form{padding:34px;border-radius:12px;}
    .contact-us-form .heading-style-4{margin-bottom:24px;}
    .input-wrap { margin-bottom: 16px; }
    textarea{height: 96px;}    
    input[type=submit]{padding: 7px 24px !important;}
}
@media screen and (max-width: 575px) {
    .heading-style-1{font-size:36px;line-height:50px;}
    .heading-style-2{font-size:28px;line-height:36px;}
    .heading-style-3{font-size:16px;line-height:22px;}
    .heading-style-5{font-size:15px;line-height:20px;}
    .heading-style-4{font-size:15px;line-height:20px;}
    
    /* padding-block */
    .padding-block{padding-block: 55px;}
    
    /* ============ Food Court Banner ============ */
    .food-court-banner .heading-style-3:after{display:none;}
    .food-court-banner .food-type-wrap{flex-direction: column; gap: 10px;}
    
    /* ============ vision mission section ============ */
    .vision-section{background-size: 250% auto;}
    .vision-mission-wrap{padding: 18px; margin-top: 24px;}
    .vision-mision-title-wrap img{width: 32px; height: 32px;}
    .vision-section::after {width: 80%; }
    
    /* ============ Food Court Gallery ============ */
    .food-court-title-description{margin-bottom: 20px;}
    
    /* ============ Parking Section ============ */
    .parking-title-wrap{gap: 5px;}
    .location-icon{width: 28px; height: 28px;}
    .parking-image{border-radius:10px;}

    /* ============ Brand Slider Section ============ */
    .brand-logo-inner-slider{width: 100px; height: 100px; padding: 10px;}
    .swiper-pagination-bullet{width: 8px; height: 8px; }

    /* ============ Top Menu Section ============ */
    .top-menu-section .row{row-gap: 14px; margin-top: 20px;}
    .top-menu-card-inner{margin: 0 auto;}
    .menu-card-image{height: 200px;}
    .menu-card-content{padding: 16px 14px 14px;}
    .heritage-card-inner{padding: 14px;}
    .heritage-card-image{width: 32px; height: 32px;}
    .heritage-card-image img{width: 24px; height: 24px;}
    
    /* ============ Visitor Section ============ */
    .visitor-cards-image{height: 135px;}
    .visitor-cards-content{padding: 14px 10px 10px;}
    
    /* ============ Contact Us Section ============ */
    .section-contact-us .row{row-gap: 18px;}
    .social-content-wrap{gap: 12px;margin-bottom: 26px;}
    .social-icon { width: 30px; height: 30px;}
    .social-icon img { width: 16px; height: 16px;}
    .social-content-inner{margin-top:0;}
    .social-content-inner p.heading-style-6, .social-content-inner a.heading-style-6{font-size: 14px;}
    .contact-us-form{padding:18px;border-radius:10px;}
    .contact-us-form .heading-style-4{margin-bottom:18px;}
    .input-wrap { margin-bottom: 14px;}
    textarea{height: 94px;}    
    input[type=submit]{padding: 5px 24px !important;font-size: 14px !important; line-height: 26px !important;}
}